Subject: Re: Distributing .ISO files.
From: "Max Bowsher" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 3 Mar 2003 23:35:56 -0000

Christopher Faylor wrote:
> On Mon, Mar 03, 2003 at 03:19:28PM -0800, [email-masked] wrote:
>> I would like to post an .ISO file I compiled for myself to my
>> website, making it available to anyone who wants it.  It is a
>> snapshot of the full distribution (less sources) from one of the
>> mirror sites, to allow for installation on
>> 1.  systems that are not connected to the internet
>> 2.  systems that have slower (dial-up) internet connections
>>
>> I want to make sure that this will not be in violation of any licence
>> agreements.  If needs be, I can also put together a source code .ISO
>> file.
>>
>> My intention is to maintain, at least, bi-annual updates.  I would
>> also seek to link the ISO distribution to the www.linuxiso.com site.
>>
>> If this would be in violation of any licenses or agreements, please
>> let me know.
>
> For crying out loud.  How often do we have to say this?
>
> Cygwin is GPLed.  Most of the software in the Cygwin distribution is
> GPLed.  If you aren't providing sources in compliance with the GPL and
> the various other licenses in the distribution, then, yes, Virginia,
> there is a license violation.
>
> cgf
> (who still wonders how the availability of a ISO image would be seen
> as a win for a slow internet connection)

Yes, please explain. Cygwin contains many packages the average user will
never want. Why would anyone download an .iso, when they can fetch just what
they need? And if someone wants a CD, to install on a non-connected
computer, they can just burn their download directory.

In short, I think you would be wasting your time, and making life more
difficult for those who found your .iso before finding out about Cygwin
setup installation.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/